using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Aram_CRM_Project.BLL.Entity
{
    class Reserve
    {

        private string _Id = string.Empty;
        private string _Name = string.Empty;
        private string _Tel = string.Empty;
        private string _Cell = string.Empty;
        private string _BirthDate = string.Empty;
        private string _MarriageDate = string.Empty;
        private string _Address = string.Empty;
        private string _CityStateId = string.Empty;
        private string _CityStateName = string.Empty;
        private string _CustomerGroupId = string.Empty;
        private string _CustomerGroupName = string.Empty;
        private string _RelationshipWayId = string.Empty;
        private string _RelationshipWayName = string.Empty;
        private string _OrderDate = string.Empty;
        private string _Price = string.Empty;
        private string _PayTypeId = string.Empty;
        private string _PayTypeName = string.Empty;
        private string _PayDate = string.Empty;
        private string _DelivererName = string.Empty;
        private string _ResultDeliveryId = string.Empty;
        private string _ResultDeliveryName = string.Empty;
        private string _Comment = string.Empty;
        private string _BankComment = string.Empty;
        private string _PayerName = string.Empty;
        private string _StartDate = string.Empty;
        private string _EndDate = string.Empty;
        private string _ResultReserveId = string.Empty;
        private string _ResultReserveName = string.Empty;
        private string _date = string.Empty;
        private string _ReceptionName = string.Empty;
        private string _CustomerId = string.Empty;
        private string _ReserveId = string.Empty;
        private string _Stuff = string.Empty;
        private string _Marketer = string.Empty;

        public string Marketer
        {
            set { _Marketer = value; }
            get { return _Marketer; }
        }

        public string Stuff
        {
            set { _Stuff = value; }
            get { return _Stuff; }
        }

        public string ReserveId
        {
            set { _ReserveId = value; }
            get { return _ReserveId; }
        }

        public string CustomerId
        {
            set { _CustomerId = value; }
            get { return _CustomerId; }
        }

        public string ReceptionName
        {
            set { _ReceptionName = value; }
            get { return _ReceptionName; }
        }

        public string Date
        {
            set { _date = value; }
            get { return _date; }
        }

        public string ResultReserveId
        {
            set { _ResultReserveId = value; }
            get { return _ResultReserveId; }
        }

        public string ResultReserveName
        {
            set { _ResultReserveName = value; }
            get { return _ResultReserveName; }
        }

        public string StartDate
        {
            set { _StartDate = value; }
            get { return _StartDate; }
        }

        public string EndDate
        {
            set { _EndDate = value; }
            get { return _EndDate; }
        }

        public string PayerName
        {
            set { _PayerName = value; }
            get { return _PayerName; }
        }

        public string BankComment
        {
            set { _BankComment = value; }
            get { return _BankComment; }
        }

        public string Id
        {
            set { _Id = value; }
            get { return _Id; }
        }

        public string Name
        {
            set { _Name = value; }
            get { return _Name; }
        }

        public string Comment
        {
            set { _Comment = value; }
            get { return _Comment; }
        }

        public string Tel
        {
            set { _Tel = value; }
            get { return _Tel; }
        }

        public string Cell
        {
            set { _Cell = value; }
            get { return _Cell; }
        }


        public string BirthDate
        {
            set { _BirthDate = value; }
            get { return _BirthDate; }
        }

        public string MarriageDate
        {
            set { _MarriageDate = value; }
            get { return _MarriageDate; }
        }


        public string Address
        {
            set { _Address = value; }
            get { return _Address; }
        }

        public string CityStateId
        {
            set { _CityStateId = value; }
            get { return _CityStateId; }
        }

        public string CityStateName
        {
            set { _CityStateName = value; }
            get { return _CityStateName; }
        }

        public string CustomerGroupId
        {
            set { _CustomerGroupId = value; }
            get { return _CustomerGroupId; }
        }

        public string CustomerGroupName
        {
            set { _CustomerGroupName = value; }
            get { return _CustomerGroupName; }
        }

        public string RelationshipWayId
        {
            set { _RelationshipWayId = value; }
            get { return _RelationshipWayId; }
        }

        public string RelationshipWayName
        {
            set { _RelationshipWayName = value; }
            get { return _RelationshipWayName; }
        }

        public string OrderDate
        {
            set { _OrderDate = value; }
            get { return _OrderDate; }
        }

        public string Price
        {
            set { _Price = value; }
            get { return _Price; }
        }

        public string PayTypeId
        {
            set { _PayTypeId = value; }
            get { return _PayTypeId; }
        }

        public string PayTypeName
        {
            set { _PayTypeName = value; }
            get { return _PayTypeName; }
        }

        public string PayDate
        {
            set { _PayDate = value; }
            get { return _PayDate; }
        }

        public string DelivererName
        {
            set { _DelivererName = value; }
            get { return _DelivererName; }
        }

        public string ResultDeliveryId
        {
            set { _ResultDeliveryId = value; }
            get { return _ResultDeliveryId; }
        }

        public string ResultDeliveryName
        {
            set { _ResultDeliveryName = value; }
            get { return _ResultDeliveryName; }
        }
    }
}
